<?php
class Blog_Category_Walker extends Walker_Category
{
	public function start_el(&$output, $category, $depth=0, $args=array(), $id=0)
	{
		extract($args);
		$cat_name = esc_attr($category->name);
		$cat_name = apply_filters('list_cats', $cat_name, $category);
		if($args["style"]=="list")
			$output .= '<li class="nostalgia_post_category">';
		$output .= '<a' . (isset($_GET["category_id"]) && (int)$_GET["category_id"]==(int)$category->term_id ? ' class="category-selected"' : '') . ' id="category-' . esc_attr($category->term_id) . '" href="' . esc_attr($parent_url) . '/category-' . esc_attr($category->term_id) . '/" ';
		if($use_desc_for_title == 0 || empty($category->description))
			$output .= 'title="' . sprintf(__('View all posts filed under %s', 'nostalgia'), $cat_name) . '"';
		else
			$output .= 'title="' . esc_attr( strip_tags( apply_filters( 'category_description', $category->description, $category ) ) ) . '"';
		$output .= '>';
		$output .= $cat_name;
		if(isset($show_count) && $show_count)
			$output .= ' <strong>[' . intval($category->count) . ']</strong>';
		$output .= '</a>';
	}

	public function end_el(&$output, $page, $depth=0, $args=array())
	{
		if($args["style"]!="list")
			return;
		$output .= "</li>";
	} 
}
?>