<?php
if(have_comments()):
	?>
	<h3>
		<?php comments_number(); ?>
	</h3>
	<ul class="comments_list">
	<?php
	paginate_comments_links();
	wp_list_comments(array(
		'avatar_size' => 60,
		'page' => (isset($_GET["paged"]) ? (int)$_GET["paged"] : 1),
		'per_page' => '5',
		'callback' => 'ng_theme_comments_list',
		'test' => 'comment-reply'
	));
	?>
	</ul>
	<script type="text/javascript">
	jQuery(document).ready(function($){
		$(".reply_button").on("click", function(event){
			event.preventDefault();
			if(!((navigator.userAgent.match(/iPhone/i)) || (navigator.userAgent.match(/iPod/i)) || (navigator.userAgent.match(/iPad/i))||(navigator.userAgent.match(/Android/i))))
			{
				var api =  $('#nostalgia-tab-content-scroll').jScrollPane({maintainPosition:true,autoReinitialise:false}).data('jsp');
				api.scrollToElement($("#comment_form"));
			}
			$("#comment_form [name='comment_parent_id']").val($(this).attr("href").substr(1));
			$("#cancel_comment").css('display', 'block');
		});
		$("#cancel_comment").on("click", function(event){
			event.preventDefault();
			$(this).css('display', 'none');
			$("#comment_form [name='comment_parent_id']").val(0);
		});
	});
	</script>
	<?php
	global $parent;
	if($parent)
		$parent_url = $parent->post_name;
	global $post;
	$comment_parent_url =  (isset($parent_url) ? $parent_url . "/" : '') . $post->post_name;
	$query = $wpdb->prepare("SELECT COUNT(*) AS count FROM $wpdb->comments WHERE comment_approved = 1 AND comment_post_ID = %d AND comment_parent = 0", get_the_ID());
    $parents = $wpdb->get_row($query);
	if($parents->count>5)
		ng_comments_pagination(2, ceil($parents->count/5), $comment_parent_url);
endif;
function ng_theme_comments_list($comment, $args, $depth)
{
	global $parent;
	global $post;
	$GLOBALS['comment'] = $comment;
?>
	<li <?php comment_class('clear-fix'); ?> id="li-comment-<?php echo esc_attr(get_comment_ID()); ?>">
		<div class="comment-author-avatar">
			<?php echo get_avatar( $comment->comment_author_email, $args['avatar_size'] ); ?>
		</div>
		<div class="comment-details">
			<h5 class="comment-header">
				<?php 
				comment_author_link();
				printf(__(', %1$s at %2$s', 'nostalgia'), get_comment_date(),  get_comment_time());
				edit_comment_link(__('(Edit)', 'nostalgia'),'&nbsp;&nbsp;&nbsp;','');
				if((int)$comment->comment_parent>0)
				{
					if($parent)
						$parent_url = $parent->post_name;
					echo '<br /><a class="show_source_comment" href="' . (isset($parent_url) ? esc_attr($parent_url) : '') . "/" . esc_attr($post->post_name) . (isset($_GET["paged"]) && (int)$_GET["paged"]>0 ? "/page-" . esc_attr($_GET["paged"]) . "/" : "") . '#li-comment-' . (int)esc_attr($comment->comment_parent) . '" title="' . esc_attr__('Show comment', 'nostalgia') . '">';
					_e('in reply to ', 'nostalgia');
					$comment_parent = get_comment($comment->comment_parent);
					echo $comment_parent->comment_author . '</a>';
				}
				?>
			</h5>
			<?php
			comment_text();
			?>
			<a class="reply_button" href="#<?php echo esc_attr(get_comment_ID()); ?>" title="<?php esc_attr_e('Reply', 'nostalgia'); ?>">
				<?php _e('Reply', 'nostalgia'); ?>
			</a>
		</div>
<?php
}
function ng_comments_pagination($range, $pages, $parent_url)
{
	$paged = (!isset($_GET["paged"]) || (int)$_GET["paged"]==0 ? 1 : (int)$_GET["paged"]);
	$showitems = ($range * 2)+1;
	echo "<ul class='nostalgia_pagination clear-fix'>";
	if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<li><a href='" . (isset($parent_url) ? esc_attr($parent_url) : '') . "/page-1/" . "' class='pagination_arrow'>&laquo;</a></li>";
	if($paged > 1 && $showitems < $pages) echo "<li><a href='" . (isset($parent_url) ? esc_attr($parent_url) : '') . "/page-" . esc_attr(($paged-1)) . "/" . "' class='pagination_arrow'>&lsaquo;</a></li>";

	for ($i=1; $i <= $pages; $i++)
	{
		if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
		{
			echo "<li>" . ($paged == $i ? "<span class='selected'>".$i."</span>":"<a href='" . (isset($parent_url) ? esc_attr($parent_url) : '') . "/page-" . absint($i) . "/" . "'>".$i."</a>") . "</li>";
		}
	}

	if ($paged < $pages && $showitems < $pages) echo "<li><a href='" . (isset($parent_url) ? esc_attr($parent_url) : '') . "/page-" . esc_attr(($paged+1)) . "/" . "' class='pagination_arrow'>&rsaquo;</a></li>";  
	if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<li><a href='" . (isset($parent_url) ? esc_attr($parent_url) : '') . "/page-" . esc_attr($pages) . "/" . "' class='pagination_arrow'>&raquo;</a></li>";
	echo "</ul>";
}
?>