<?php
function ng_theme_contact_form_admin_page() 
{
	if(isset($_POST["action"]) && $_POST["action"]=="save")
	{
		$theme_contact_form_options = array(
			"name_hint" => $_POST["name_hint"],
			"email_hint" => $_POST["email_hint"],
			"text_hint" => $_POST["text_hint"],
			"email_subject" => $_POST["email_subject"],
			"admin_name" => $_POST["admin_name"],
			"admin_email" => $_POST["admin_email"],
			"template" => $_POST["template"],
			"smtp_host" => $_POST["smtp_host"],
			"smtp_username" => $_POST["smtp_username"],
			"smtp_password" => $_POST["smtp_password"],
			"smtp_port" => $_POST["smtp_port"],
			"smtp_secure" => $_POST["smtp_secure"],
			"name_error" => $_POST["name_error"],
			"email_error" => $_POST["email_error"],
			"text_error" => $_POST["text_error"],
			"message_send_error" => $_POST["message_send_error"],
			"message_send_ok" => $_POST["message_send_ok"]
		);
		update_option("nostalgia_contact_form_options", $theme_contact_form_options);
	}
	$theme_contact_form_options = ng_theme_stripslashes_deep(get_option("nostalgia_contact_form_options"));
?>
	<div class="wrap">
		<div class="icon32" id="icon-options-general"><br></div>
		<h2><?php _e('Nostalgia Contact Form Options', 'nostalgia');?></h2>
	</div>
	<?php 
	if(isset($_POST["action"]) && $_POST["action"]=="save")
	{
	?>
	<div class="updated"> 
		<p>
			<strong>
				<?php
					_e('Options saved', 'nostalgia');
				?>
			</strong>
		</p>
	</div>
	<?php 
	}
	?>
	<form action="<?php echo esc_url($_SERVER['REQUEST_URI']); ?>" method="post" id="nostalgia_contact_form_settings">
		<table class="form-table">
			<tbody>
				<tr valign="top">
					<th colspan="2" scope="row" style="font-weight: bold;">
						<?php
						_e('Admin email config', 'nostalgia');
						?>
					</th>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="admin_name"><?php _e('Name', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["admin_name"]); ?>" id="admin_name" name="admin_name">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="admin_email"><?php _e('Email', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["admin_email"]); ?>" id="admin_email" name="admin_email">
					</td>
				</tr>
				<tr valign="top">
					<th colspan="2" scope="row" style="font-weight: bold;">
						<br />
					</th>
				</tr>
				<tr valign="top">
					<th colspan="2" scope="row" style="font-weight: bold;">
						<?php
						_e('Admin SMTP config (optional)', 'nostalgia');
						?>
					</th>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="smtp_host"><?php _e('Host', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["smtp_host"]); ?>" id="smtp_host" name="smtp_host">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="smtp_username"><?php _e('Username', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["smtp_username"]); ?>" id="smtp_username" name="smtp_username">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="smtp_password"><?php _e('Password', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="password" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["smtp_password"]); ?>" id="smtp_password" name="smtp_password">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="smtp_port"><?php _e('Port', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["smtp_port"]); ?>" id="smtp_port" name="smtp_port">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="smtp_secure"><?php _e('SMTP Secure', 'nostalgia'); ?></label>
					</th>
					<td>
						<select id="smtp_secure" name="smtp_secure">
							<option value=""<?php echo ($theme_contact_form_options["smtp_secure"]=="" ? " selected='selected'" : "") ?>>-</option>
							<option value="ssl"<?php echo ($theme_contact_form_options["smtp_secure"]=="ssl" ? " selected='selected'" : "") ?>><?php _e('ssl', 'nostalgia'); ?></option>
							<option value="tls"<?php echo ($theme_contact_form_options["smtp_secure"]=="tls" ? " selected='selected'" : "") ?>><?php _e('tls', 'nostalgia'); ?></option>
						</select>
					</td>
				</tr>
				<tr valign="top">
					<th colspan="2" scope="row" style="font-weight: bold;">
						<br />
					</th>
				</tr>
				<tr valign="top">
					<th colspan="2" scope="row" style="font-weight: bold;">
						<?php _e('Email config', 'nostalgia'); ?>
					</th>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="email_subject"><?php _e('Email subject', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["email_subject"]); ?>" id="email_subject" name="email_subject">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="template"><?php _e('Template', 'nostalgia'); ?></label>
					</th>
					<td>
						<?php wp_editor($theme_contact_form_options["template"], "template");?>
					</td>
				</tr>
				<tr valign="top">
					<th colspan="2" scope="row" style="font-weight: bold;">
						<br />
					</th>
				</tr>
				<tr valign="top">
					<th colspan="2" scope="row" style="font-weight: bold;">
						<?php _e('Fields hints', 'nostalgia'); ?>
					</th>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="name_hint"><?php _e('Name hint', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["name_hint"]); ?>" id="name_hint" name="name_hint">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="email_hint"><?php _e('Email hint', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["email_hint"]); ?>" id="email_hint" name="email_hint">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="text_hint"><?php _e('Text hint', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["text_hint"]); ?>" id="text_hint" name="text_hint">
					</td>
				</tr>
				<tr valign="top">
					<th colspan="2" scope="row" style="font-weight: bold;">
						<br />
					</th>
				</tr>
				<tr valign="top">
					<th colspan="2" scope="row" style="font-weight: bold;">
						<?php _e('Error messages', 'nostalgia'); ?>
					</th>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="name_error"><?php _e('Name field', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["name_error"]); ?>" id="name_error" name="name_error">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="email_error"><?php _e('Email field', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["email_error"]); ?>" id="email_error" name="email_error">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="text_error"><?php _e('Text field', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["text_error"]); ?>" id="text_error" name="text_error">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="message_send_ok"><?php _e('Message send ok', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["message_send_ok"]); ?>" id="message_send_ok" name="message_send_ok">
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<label for="message_send_error"><?php _e('Message send error', 'nostalgia'); ?></label>
					</th>
					<td>
						<input type="text" class="regular-text" value="<?php echo esc_attr($theme_contact_form_options["message_send_error"]); ?>" id="message_send_error" name="message_send_error">
					</td>
				</tr>
			</tbody>
		</table>
		<p>
			<input type="hidden" name="action" value="save" />
			<input type="submit" value="<?php esc_attr_e("Save Options", 'nostalgia');?>" class="button-primary" name="Submit">
		</p>
	</form>
<?php
}
?>