<?php
$themename = "nostalgia";
//plugins activator
require_once("plugins_activator.php");
//theme options
require_once("theme-options.php");

//contact form options
require_once("contact-form-options.php");

//custom meta box
require_once("meta-box.php");
require_once("post-meta-box.php");

//comments
require_once("comments-functions.php");

//widgets
require_once("widget-latest-post.php");
require_once("widget-latest-portfolio.php");

//admin functions
require_once("admin/functions.php");

//Make theme available for translation
//Translations can be filed in the /languages/ directory
load_theme_textdomain('nostalgia', get_template_directory() . '/languages');

//register sidebars
if(function_exists("register_sidebar"))
{
	register_sidebar(array(
		"id" => "home-left",
		"name" => __("Home Sidebar Left", 'nostalgia'),
		'before_widget' => '<li id="%1$s" class="widget %2$s clear-fix">'
	));
	register_sidebar(array(
		"id" => "home-right",
		"name" => __("Home Sidebar Right", 'nostalgia'),
		'before_widget' => '<li id="%1$s" class="widget %2$s clear-fix">'
	));
	register_sidebar(array(
		"id" => "blog-top",
		"name" => __("Blog Sidebar Top", 'nostalgia'),
		"before_widget" => "<div id='sidebar-blog-top' class='clear-fix'>",
		"after_widget" => "</div>"
	));
	register_sidebar(array(
		"id" => "blog-bottom",
		"name" => __("Blog Sidebar Bottom", 'nostalgia'),
		"before_widget" => "<div id='sidebar-blog-bottom' class='clear-fix'>",
		"after_widget" => "</div>"
	));
	register_sidebar(array(
		"id" => "post-top",
		"name" => __("Post Sidebar Top", 'nostalgia'),
		"before_widget" => "<div id='sidebar-post-top' class='clear-fix'>",
		"after_widget" => "</div>"
	));
	register_sidebar(array(
		"id" => "post-bottom",
		"name" => __("Post Sidebar Bottom", 'nostalgia'),
		"before_widget" => "<div id='sidebar-post-bottom' class='clear-fix'>",
		"after_widget" => "</div>"
	));
}

//register blog post thumbnail & portfolio thumbnail
add_theme_support("post-thumbnails");
add_image_size("blog-post-thumb", 490, 200, true);
add_image_size("nostalgia-portfolio-thumb", 230, 150, true);
function ng_theme_image_sizes($sizes)
{
	$addsizes = array(
		"blog-post-thumb" => __("Blog post thumbnail", 'nostalgia'),
		"nostalgia-portfolio-thumb" => __("Portfolio thumbnail", 'nostalgia')
	);
	$newsizes = array_merge($sizes, $addsizes);
	return $newsizes;
}
add_filter("image_size_names_choose", "ng_theme_image_sizes");

//excerpt
function ng_theme_excerpt_more($more) 
{
	return '';
}
add_filter('excerpt_more', 'ng_theme_excerpt_more', 99);
	
//shortcodes
require_once("shortcodes.php");

function ng_theme_after_setup_theme()
{
	if(!get_option("nostalgia_installed"))
	{		
		$theme_options = array(
			"main_box_text" => "<span>Keith Douglas</span>",
			"footer_text_left" => sprintf(__('<a title="%s" href="%s" rel="nofollow">© 2019 Nostalgia WordPress Theme</a>', 'nostalgia'), esc_html__('Nostalgia Theme', 'nostalgia'), esc_url(__('https://themeforest.net/item/nostalgia-portfolio-wordpress-theme/2438038?ref=QuanticaLabs', 'nostalgia'))),
			"footer_text_right" => sprintf(__('<a title="%s" href="%s" rel="nofollow">By QuanticaLabs</a>', 'nostalgia'), esc_html__('QuanticaLabs', 'nostalgia'), esc_url(__('https://themeforest.net/user/QuanticaLabs?ref=QuanticaLabs', 'nostalgia'))),
			"google_api_code" => "",
			"color" => "FFC000",
			"menu_count" => 5,
			"display_home_widget_on_start" => 1,
			"display_menu_on_start" => 0,
			"responsive" => 1,
			"icons" => array(
				"type" => array(	
					"facebook",
					"twitter",
					"google"
				),
				"value" => array(
					"https://www.facebook.com/QuanticaLabs",
					"https://twitter.com/QuanticaLabs",
					"#"
				)
			),
			"backgrounds" => array(
				get_template_directory_uri() . "/images/background/01.jpg",
				get_template_directory_uri() . "/images/background/02.jpg",
				get_template_directory_uri() . "/images/background/03.jpg",
				get_template_directory_uri() . "/images/background/04.jpg",
				get_template_directory_uri() . "/images/background/05.jpg",
				get_template_directory_uri() . "/images/background/06.jpg"
			),
			"background_title" => array(
				'<span class="supersized-caption-title">Halle Kearney By Robby Mueller</span><br/><br/>Well, today was Halle Kearney\'s first senior picture session in Akron, OH and I decided to go with something a little different here.<br/><br/>This is not going to be used as one of her senior pictures (As far as I know).<br/><br/>We took a different spin on things and I\'m a tad bit stoked on it.<br/><br/><a href="http://www.flickr.com/photos/ro2b3yface/5623260278/in/photostream/">Author Website</a>',
				'<span class="supersized-caption-title">Lavender By Vincent van der Pas</span><br/><br/>Taken in the south of France, near Apt.<br/><br/><a href="http://www.flickr.com/photos/archetypefotografie/4958711873/in/photostream/">Author Website</a>',
				'<span class="supersized-caption-title">Plainsong By Robb North</span><br/><br/>sometimes you make me feel<br/>like i\'m living at the edge of the world<br/>like i\'m living at the edge of the world<br/><br/><a href="http://www.flickr.com/photos/robbn1/3405147407/in/photostream/">Author Website</a>',
				'<span class="supersized-caption-title">Falcon on Rue Drolet By Flat-Black 66</span><br/><a href="http://www.flickr.com/photos/flatblack66/4733463620/">Author Website</a>',
				'<span class="supersized-caption-title">New kitchen radio By Johan Larsson</span><br/><br/>Tivoli Model One.<br/><br/><a href="http://www.flickr.com/photos/johanl/6125230384/in/photostream/">Author Website</a',
				'<span class="supersized-caption-title">Bekohlicious! By 55Laney69</span><br/><br/>Canon 550D + Canon 50mm F1.8 EF II @F1.8 :). Cross Processed with Alien Skin Exposure<br/><br/><a href="http://www.flickr.com/photos/hansel5569/6001781706/in/photostream/">Author Website</a>'
			),
			"autoplay" => 0,
			"overlay" => 1,
			"transition" => "fade",
			"transition_speed" => 750,
			"slide_interval" => 5000,
			"tracks" => array(),
			"music_loop" => 1,
			"music_autoplay" => 1
		);
		add_option("nostalgia_options", $theme_options);
		
		$theme_contact_form_options = array(
			"name_hint" => __("Your Name", 'nostalgia'),
			"email_hint" => __("Your E-mail Address", 'nostalgia'),
			"text_hint" => __("Message", 'nostalgia'),
			"email_subject" => __("Nostalgia: Contact from WWW", 'nostalgia'),
			"admin_name" => get_option("admin_email"),
			"admin_email" => get_option("admin_email"),
			"template" => "<html>
	<head>
	</head>
	<body>
		<div><b>Name</b>: [name]</div>
		<div><b>E-mail</b>: [email]</div>
		<div><b>Message</b>: [message]</div>
	</body>
</html>",
			"smtp_host" => "",
			"smtp_username" => "",
			"smtp_password" => "",
			"smtp_port" => "",
			"smtp_secure" => "",
			"name_error" => __("Please enter your name.", 'nostalgia'),
			"email_error" => __("Please enter valid e-mail.", 'nostalgia'),
			"text_error" => __("Please enter your message.", 'nostalgia'),
			"message_send_error" => __("Sorry, we can\'t send this message.", 'nostalgia'),
			"message_send_ok" => __("Thank you for contacting us.", 'nostalgia')
		);
		add_option("nostalgia_contact_form_options", $theme_contact_form_options);
		
		update_option("blogdescription", "Portfolio WordPress Theme");
		
		add_option("nostalgia_installed", 1);
	}
	//enable custom background
	add_theme_support("custom-background"); //3.4
	//enable feed links
	add_theme_support("automatic-feed-links");
	//title tag
	add_theme_support("title-tag");
	//gutenberg
	add_theme_support("wp-block-styles");
	add_theme_support("editor-color-palette", array(
		array(
			'name' => __("nostalgia yellow", 'nostalgia'),
			'slug' => 'nostalgia-yellow',
			'color' => '#FFC000',
		),
		array(
			'name' => __("Vivid red", 'nostalgia' ),
			'slug' => 'vivid-red',
			'color' => '#CF2D2D',
		),
		array(
			'name' => __("Luminous vivid orange", 'nostalgia' ),
			'slug' => 'luminous-vivid-orange',
			'color' => '#FF6A00',
		),
		array(
			'name' => __("Light green cyan", 'nostalgia' ),
			'slug' => 'light-green-cyan',
			'color' => '#7BDCB5',
		),
		array(
			'name' => __("Vivid green cyan", 'nostalgia' ),
			'slug' => 'vivid-green-cyan',
			'color' => '#00D084',
		),
		array(
			'name' => __("Pale cyan blue", 'nostalgia' ),
			'slug' => 'pale-cyan-blue',
			'color' => '#8ED2FC',
		),
		array(
			'name' => __("Vivid cyan blue", 'nostalgia' ),
			'slug' => 'vivid-cyan-blue',
			'color' => '#0692E3',
		),
		array(
			'name' => __("Very light gray", 'nostalgia' ),
			'slug' => 'very-light-gray',
			'color' => '#EEEEEE',
		),
		array(
			'name' => __("Cyan bluish gray", 'nostalgia' ),
			'slug' => 'cyan-bluish-gray',
			'color' => '#ACB8C3',
		)
	));
	//phpMailer
	add_action('phpmailer_init', 'ng_phpmailer_init');
	//content width
	if(!isset($content_width)) 
		$content_width = 490;
	//custom theme filters
	add_filter('document_title_parts', 'ng_document_title_parts');
	add_filter('document_title_separator', 'ng_document_title_separator');
	//custom theme actions
	if(!function_exists('_wp_render_title_tag')) 
		add_action('wp_head', 'ng_theme_slug_render_title');
}
add_action("after_setup_theme", "ng_theme_after_setup_theme");

function ng_theme_switch_theme($theme_template)
{
	delete_option("nostalgia_installed");
}
add_action("switch_theme", "ng_theme_switch_theme");

/* --- phpMailer config --- */
function ng_phpmailer_init($mail) 
{
	global $theme_contact_form_options;
	$mail->CharSet='UTF-8';

	$smtp = $theme_contact_form_options["smtp_host"];
	if(!empty($smtp))
	{
		$mail->IsSMTP();
		$mail->SMTPAuth = true; 
		//$mail->SMTPDebug = 2;
		$mail->Host = $theme_contact_form_options["smtp_host"];
		$mail->Username = $theme_contact_form_options["smtp_username"];
		$mail->Password = $theme_contact_form_options["smtp_password"];
		if((int)$theme_contact_form_options["smtp_port"]>0)
			$mail->Port = (int)$theme_contact_form_options["smtp_port"];
		$mail->SMTPSecure = $theme_contact_form_options["smtp_secure"];
	}
}

if(!function_exists('_wp_render_title_tag')) 
{
    function ng_theme_slug_render_title() 
	{
		echo ''. wp_title('|', true, 'right') . '';
    }
}
function ng_document_title_parts($title_parts)
{
	$part1 = get_bloginfo('name');
	$part2 = (is_home() || is_front_page() || is_404() ? get_bloginfo('description') : $title_parts['title']);
	return array($part1, $part2);
}
function ng_document_title_separator($sep)
{
	$sep = "|";
    return $sep;
}

//theme options
global $theme_options;
$theme_options = ng_theme_stripslashes_deep(get_option("nostalgia_options"));
	
//contact form options
global $theme_contact_form_options;
$theme_contact_form_options = ng_theme_stripslashes_deep(get_option("nostalgia_contact_form_options"));

//get_links_config
function ng_theme_get_links_config($params = null)
{
	$result = array(
		"link" => array(),
		"post_id" => array(),
		"title" => array(),
		"icon" => array(),
		"direction" => array()
	);
	//get pages
	query_posts(array( 
		'posts_per_page' => -1,
		'post_type' => 'page',
		'post_status' => 'publish',
		'orderby' => 'menu_order',
		'order' => 'ASC' 
	));
	$i = 0;

	if(have_posts()) : while (have_posts()) : the_post(); 
		global $post;
		$direction = get_post_meta(get_the_ID(), "nostalgia_direction", true);
		$result["link"][] = $post->post_name;
		$result["post_id"][] = get_the_ID();
		$result["title"][] = get_the_title();
		$result["icon"][] = get_post_meta(get_the_ID(), "nostalgia_icon", true);
		$result["direction"][] = ($direction=='' ? 'left' : $direction);
		$i++;
	endwhile; endif;
	
	//Reset Query
	wp_reset_query();
	
	//get posts
	query_posts(array( 
		'posts_per_page' => -1,
		'post_type' => 'post',
		'post_status' => 'publish',
		'orderby' => 'menu_order',
		'order' => 'ASC' 
	));
	if(have_posts()) : while (have_posts()) : the_post(); 
		global $post;
		$result["link"][] = $post->post_name;
		$result["post_id"][] = get_the_ID();
		$result["title"][] = get_the_title();
	endwhile; endif;
	
	//Reset Query
	wp_reset_query();
	
	return $result;
}

function ng_theme_enqueue_scripts()
{
	global $themename;
	global $theme_options;
	//js
	wp_enqueue_script("jquery");
	wp_enqueue_script("jquery-ui-core");
	wp_enqueue_script("jquery-ui-accordion");
	//wp_enqueue_script("jquery-ba-bqq", get_template_directory_uri() . "/js/jquery.ba-bqq.min.js", array("jquery"));
	wp_enqueue_script("jquery-history", get_template_directory_uri() . "/js/jquery.history.js", array("jquery"));
	wp_enqueue_script("jquery-easing", get_template_directory_uri() . "/js/jquery.easing.js", array("jquery"));
	wp_enqueue_script("jquery-block-ui", get_template_directory_uri() . "/js/jquery.blockUI.js", array("jquery"));
	wp_enqueue_script("jquery-bx-slider", get_template_directory_uri() . "/js/jquery.bxSlider.js", array("jquery"));
	wp_enqueue_script("jquery-qtip", get_template_directory_uri() . "/js/jquery.qtip.min.js", array("jquery"));
	wp_enqueue_script("jquery-fancybox", get_template_directory_uri() . "/js/jquery.fancybox.js", array("jquery"));
	wp_enqueue_script("jquery-mousewheel", get_template_directory_uri() . "/js/jquery.mousewheel.js", array("jquery"));
	wp_enqueue_script("jquery-jscrollpane", get_template_directory_uri() . "/js/jquery.jscrollpane.min.js", array("jquery"));
	wp_enqueue_script("jquery-supersized", get_template_directory_uri() . "/js/jquery.supersized.min.js", array("jquery"));
	wp_enqueue_script("jquery-jplayer", get_template_directory_uri() . "/js/jquery.jplayer.min.js", array("jquery"));
	wp_enqueue_script("jquery-supersized-shutter", get_template_directory_uri() . "/js/jquery.supersized.shutter.min.js", array("jquery"));
	wp_enqueue_script("google-maps-v3", "//maps.google.com/maps/api/js" . (!empty($theme_options["google_api_code"]) ? "?key=" . esc_attr($theme_options["google_api_code"]) : ""), false, array(), false, true);
	wp_enqueue_script("theme-script", get_template_directory_uri() . "/js/script.js", array("jquery"));
    wp_enqueue_script("theme-nostalgia", get_template_directory_uri() . "/js/theme.js", array("jquery"));
	wp_enqueue_script("theme-main", get_template_directory_uri() . "/js/main.js", array("jquery"));
	wp_enqueue_script("theme-comment-form", get_template_directory_uri() . "/js/theme_comment_form.js", array("jquery"));
	wp_enqueue_script("theme-contact-form", get_template_directory_uri() . "/js/theme_contact_form.js", array("jquery"));
	
	$data = ng_theme_get_links_config();
	/* explanation
	* max_height - max height for which the responsive styles will be applied
	* 170 - represents the height of name box
	* 140 - top&bottom spacing
	* 46 - admin bar height, when screen width is below 782
	* 37 - height of black supersized-control bar
	*/
	$data["max_height"] = ((int)$theme_options["menu_count"]>0 ? (int)$theme_options["menu_count"] : 5)*50+35+170+140+46+37;
	//backgrounds
	$data["backgrounds"] = $theme_options["backgrounds"];
	// CYCLE THROUGHT ALL POST AND CHECK THEIR POSTMETA FOR BACKGROUND IMG
	// IF BACKGROUND IMG IS SET, ADD IT TO THE $data['backgrounds'] ARRAY
	query_posts(array(
		'post_type' => 'page',
		'post_status' => 'publish'
	));
	
	if(have_posts()) : while (have_posts()) : the_post();
	global $post;
	$post_background_img = get_post_meta(get_the_ID(), "nostalgia_background_img", true);
	if(!empty($post_background_img))
		$data["backgrounds"][]=$post_background_img;
	endwhile; endif;
	if(!count($data["backgrounds"]))
	{
		$data["backgrounds"][0] = get_template_directory_uri() . "/images/background/01.jpg";
	}
	wp_reset_query();
	
	$data["background_title"] = $theme_options["background_title"];
	//autoplay
	$data["autoplay"] = $theme_options["autoplay"];
	//ajaxurl
	$data["ajaxurl"] = get_template_directory_uri() . "/theme-ajax.php";
	//themename
	$data["themename"] = $themename;
	//transition
	$data["transition"] = ($theme_options["transition"]!="" ? $theme_options["transition"] : "fade");
	$data["transition_speed"] = ((int)$theme_options["transition_speed"]>0 ? (int)$theme_options["transition_speed"] : 750);
	$data["slide_interval"] = ((int)$theme_options["slide_interval"]>0 ? (int)$theme_options["slide_interval"] : 5000);
	//music
	$data["tracks"] = $theme_options["tracks"];
	$data["music_loop"] = $theme_options["music_loop"];
	$data["music_autoplay"] = $theme_options["music_autoplay"];
	$data["swfPath"] = get_template_directory_uri() . "/js";
	//menu count
	$data["menu_count"] = ((int)$theme_options["menu_count"]>0 ? (int)$theme_options["menu_count"] : 5);
	$data["menu_height"] = $data["menu_count"]*50+35;
	//options
	$data["display_menu_on_start"] = (int)$theme_options["display_menu_on_start"];
	$data["responsive"] = (int)$theme_options["responsive"];
	//home url
	$data["home_url"] = get_home_url();
	//site description
	$data["blog_name"] = get_bloginfo('name');
	$data["blog_desc"] = get_bloginfo('description');
	//pass data to javascript
	$params = array(
		'l10n_print_after' => 'config = ' . json_encode($data) . ';'
	);
	wp_localize_script("theme-main", "config", $params);
	
	//css
	wp_enqueue_style("main-style", get_stylesheet_uri());
	if((int)$theme_options["responsive"])
	{
		wp_enqueue_style("responsive", get_template_directory_uri() . "/style/responsive.css");
		wp_enqueue_style("responsive-height", get_template_directory_uri() . "/style/responsive-height.css", array(), false, "screen and (max-height: " . $data["max_height"] . "px)");
	}
	wp_enqueue_style("jquery-jscrollpane", get_template_directory_uri() . "/style/jquery.jScrollPane.css");
	wp_enqueue_style("jquery-qtip", get_template_directory_uri() . "/style/jquery.qtip.css");
	wp_enqueue_style("jquery-ui", get_template_directory_uri() . "/style/jquery-ui/jquery-ui.css");
	wp_enqueue_style("jquery-fancybox", get_template_directory_uri() . "/style/fancybox/jquery.fancybox.css");
	wp_enqueue_style("google-font-voces", "//fonts.googleapis.com/css?family=Voces");
	wp_enqueue_style("google-font-dosis", "//fonts.googleapis.com/css?family=Dosis:400,300,200,500,600,700,800");
	wp_enqueue_style("google-font-aldrich", "//fonts.googleapis.com/css?family=Aldrich");
}
add_action("wp_enqueue_scripts", "ng_theme_enqueue_scripts");

//get theme
function ng_theme_get($params)
{
	global $post;
	global $wpdb;
	$result = array();
	$current_page = $post->ID;

	//get pages
	query_posts(array( 
		'post_type' => 'page',
		'posts_per_page' => -1,
		'post_status' => 'publish',
		'orderby' => 'menu_order', 
		'order' => 'ASC'
	));
	$i = 0;
	$result["custom_css"] = "";
	$result["html"] = "";
	if(have_posts()) : while (have_posts()) : the_post();
		global $post;
		$color = get_post_meta(get_the_ID(), "nostalgia_color", true);
		if($color!='')
		{
			$rgba = ng_html2rgb($color);
			$result["custom_css"] .= '.nostalgia-menu-item-' . $post->post_name . ':hover, .nostalgia-menu-item-' . $post->post_name . '.menu-item-selected,
			.nostalgia-tab-' . $post->post_name . ',
			.nostalgia-tab-' . $post->post_name . ' #nostalgia-tab-content .jspTrack,
			.nostalgia-tab-' . $post->post_name . ' #nostalgia-tab-footer ul.social-list
			{
				background-color: #' . $color . ' !important;
			}
			.nostalgia-tab-' . $post->post_name . ' #nostalgia-tab-content
			{
				background-color:rgba(' . $rgba[0] . ',' . $rgba[1] . ',' . $rgba[2] . ',0.9);
				-ms-filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#E5' . $color . ',endColorstr=#E5' . $color . ');
				filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#E5' . $color . ',endColorstr=#E5' . $color . ');
			}
			.nostalgia-tab-' . $post->post_name . ' #nostalgia-tab-footer,
			.nostalgia-tab-' . $post->post_name . ' #nostalgia-tab-footer a,
			.nostalgia-tab-' . $post->post_name . ' div.post div.post-image div.caption,
			.nostalgia-tab-' . $post->post_name . ' ul.blog-list li.blog-list-post div.blog-list-post-image div.caption,
			.nostalgia-tab-' . $post->post_name . ' ul.image-list div.image-list-caption div.image-list-caption-subtitle
			{
				color: #' . $color . ';
			}';
		}
		$custom_url = get_post_meta(get_the_ID(), "nostalgia_custom_url", true);
		if(isset($params['type']) && $params['type']=='dropdown')
			$result["html"] .= '
			<option value="' . ($custom_url!="" ? esc_url($custom_url) : esc_attr($post->post_name)) . '" class="nostalgia-menu-item nostalgia-menu-item-' . esc_attr($post->post_name) . '" >' . get_the_title() . '</option>';
		else
			$result["html"] .= '
			<li id="nostalgia-menu-element-' .  esc_attr(get_the_ID()) . '" class="nostalgia-menu-element-' . absint($i+1) . '">
				<a href="' . ($custom_url!="" ? esc_url($custom_url) : esc_attr($post->post_name)) . '" class="nostalgia-menu-item nostalgia-menu-item-' . esc_attr($post->post_name) . '" title="' . esc_attr(get_the_title()) . '">
				' . get_the_title() . '
				</a>
			</li>';
		$i++;
	endwhile; endif;
	return $result;
}

//ajax
function ng_theme_get_content()
{
	$result = array();
	if($_GET["name"]!='')
	{
		//post
		query_posts("name=" . $_GET["name"] . "&post_type=post");
		if(have_posts()) : the_post();
			if(isset($_GET["parent_name"]) && $_GET["parent_name"]!="")
			{
				global $parent;
				$args=array(
				  'name' => $_GET["parent_name"],
				  'post_type' => 'page',
				  'post_status' => 'publish',
				  'showposts' => 1
				);
				$parentArray = get_posts($args);
				$parent = $parentArray[0];
			}
			ob_start();
			if(isset($_GET["type"]) && $_GET["type"]=="get_comments")
				comments_template();
			else
				include("single-blog.php");
			$result["html"] = ob_get_contents();
			ob_end_clean();
		else:
			//page
			query_posts("name=" . $_GET["name"] . "&post_type=page");
			if(have_posts()) : the_post();
				$background_img = get_post_meta(get_the_ID(), "nostalgia_background_img", true);
				if(!empty($background_img))
					$result["background_img"] = $background_img;
				$template = get_post_meta(get_the_ID(), '_wp_page_template', true);
				if($template!="" && $template!="default")
				{
					ob_start();
					$included = 1;
					include($template);
					$result["html"] = ob_get_contents();
					ob_end_clean();
				}
				else
				{
					ob_start();
					if(comments_open())
					{
						comments_template();
						require_once("comments-form.php");
					}
					$result["html"] = (function_exists("has_blocks") && has_blocks() ? '<div class="has-gutenberg-blocks">' . do_shortcode(apply_filters('the_content', get_the_content())) . '</div>' : do_shortcode(get_the_content())) .  ob_get_contents();
					ob_end_clean();
				}
			endif;
		endif;
		//contact form 7
		if(defined('WPCF7_PLUGIN_DIR') && WPCF7_LOAD_JS)
			$result["cf7"] = plugins_url('scripts.js', WPCF7_PLUGIN_DIR . "/includes/js/scripts.js");
	}
	echo "nostalgia_start" . @json_encode($result) . "nostalgia_end";
	exit();
}
add_action("wp_ajax_ng_theme_get_content", "ng_theme_get_content");
add_action("wp_ajax_nopriv_ng_theme_get_content", "ng_theme_get_content");

function ng_html2rgb($color)
{
    if ($color[0] == '#')
        $color = substr($color, 1);

    if (strlen($color) == 6)
        list($r, $g, $b) = array($color[0].$color[1],
                                 $color[2].$color[3],
                                 $color[4].$color[5]);
    elseif (strlen($color) == 3)
        list($r, $g, $b) = array($color[0].$color[0], $color[1].$color[1], $color[2].$color[2]);
    else
        return false;

    $r = hexdec($r); $g = hexdec($g); $b = hexdec($b);

    return array($r, $g, $b);
}
?>