<?php get_sidebar('post-top'); ?>
<div <?php post_class("post"); ?>>
	<?php
	if(isset($parent))
	{	
		global $parent_url;
		$parent_url = $parent->post_name;
	}
	?>
	<ul class="bread_crum clear-fix">
		<?php
		if(isset($parent))
		{
		?>
		<li>
			<h3>
				<a href="<?php echo esc_attr($parent_url);?>" title="<?php echo esc_attr($parent->post_title);?>"><?php echo $parent->post_title;?></a>
			</h3>
		</li>
		<li class="separator">&nbsp;</li>
		<?php
		}
		?>
		<li>
			<span><?php the_title();?></span>
		</li>
		<li class="date">
			<span><span class="month"><?php the_time('m'); ?></span><?php the_time('d'); ?></span>
		</li>
	</ul>
	<div class="post-image clear-fix">
		<?php 
		if(has_post_thumbnail()):
		$thumb_id = get_post_thumbnail_id(get_the_ID());
		$attachment_image = wp_get_attachment_image_src($thumb_id, "large");
		$large_image_url = $attachment_image[0];
		$thumbnail_image = get_posts(array('p' => $thumb_id, 'post_type' => 'attachment'));
		$features_images_loop =  get_post_meta(get_the_ID(), "nostalgia_features_images_loop", true);
		?>
		<a href="<?php echo esc_url($large_image_url); ?>" title="<?php echo esc_attr($thumbnail_image[0]->post_title); ?>" class="fancybox-image<?php echo ($features_images_loop=='yes' ? ' cyclic' : ''); ?>" rel="featured_<?php echo esc_attr(get_the_ID()); ?>">
			<?php the_post_thumbnail("blog-post-thumb", array("alt" => get_the_title(), "title" => "")); ?>
			<span></span>
		</a>
		<?php
		$show_images_in = get_post_meta(get_the_ID(), "nostalgia_show_images_in", true);
		if($show_images_in=="post" || $show_images_in=="both")
		{
			$images = get_post_meta(get_the_ID(), "nostalgia_images", true);
			$images_titles = get_post_meta(get_the_ID(), "nostalgia_images_titles", true);
			$images_count = count(array_values(array_filter((array)$images)));
			for($i=0; $i<$images_count; $i++)
			{
			?>
			<a href="<?php echo esc_url($images[$i]); ?>" title="<?php echo (isset($images_titles[$i]) ? esc_attr($images_titles[$i]) : ''); ?>" class="fancybox-image fancybox-hidden<?php echo ($features_images_loop=='yes' ? ' cyclic' : ''); ?>" rel="featured_<?php echo esc_attr(get_the_ID()); ?>">
				&nbsp;
			</a>
			<?php 
			}
		}
		endif; ?>
		<div class="caption clear-fix">
			<span class="category icon-2 icon-2-5"> 
				<?php 
				_e("in", 'nostalgia');
				$categories = get_the_category();
				foreach($categories as $key=>$category)
				{
					echo '<a href="' . (isset($parent_url) ? esc_attr($parent_url) : '') . '/category-' . esc_attr($category->term_id) . '/" ';
					if(empty($category->description))
						echo 'title="' . sprintf(__('View all posts filed under %s', 'nostalgia'), $category->name) . '"';
					else
						echo 'title="' . esc_attr(strip_tags(apply_filters('category_description', $category->description, $category))) . '"';
					echo '>' .$category->name . '</a>' . ($key+1<count($categories) ? ', ' : '');
				}
				$comments_count = get_comments_number();
				?>
			</span>
			<span class="comment icon-2 icon-2-6">
				<?php _e("this entry has", 'nostalgia');?> <a href="<?php echo (isset($parent_url) ? esc_attr($parent_url) : ''); ?>/<?php global $post; echo esc_attr($post->post_name);?>#comments" title="<?php echo esc_attr($comments_count) . ' ' . ($comments_count==1 ? esc_attr__('Comment', 'nostalgia') : esc_attr__('Comments', 'nostalgia')); ?>"><?php comments_number(); ?></a>				
			</span>
			<span class="author icon-2 icon-2-4">
				<?php _e("by", 'nostalgia');?> <span class="highlight"><?php the_author();?></span>
			</span>
		</div>
		<?php the_content(); 
		wp_link_pages(array(
			"before" => '<ul class="nostalgia_pagination clear-fix"><li>',
			"after" => '</li></ul>',
			"separator" => '</li><li>'
		));
		if(comments_open()):
		?>
		<div id="comments">
		<?php
		comments_template();
		?>
		</div>
		<?php
		require_once("comments-form.php");
		endif; ?>
	</div>
</div>
<?php get_sidebar('post-bottom'); ?>