<?php
//admin menu
function ng_theme_admin_menu() 
{
	add_theme_page(__("Theme Options", 'nostalgia') ,__("Theme Options", 'nostalgia'), "edit_theme_options", "ThemeOptions", "nostalgia_options");
}
add_action("admin_menu", "ng_theme_admin_menu");

function ng_theme_stripslashes_deep($value)
{
	$value = is_array($value) ?
				array_map('stripslashes_deep', $value) :
				stripslashes($value);

	return $value;
}

function nostalgia_options() 
{
	if(isset($_POST["action"]) && $_POST["action"]=="nostalgia_save")
	{
		$theme_options = (array)get_option("nostalgia_options");
		if($_POST["nostalgia_submit"]==__("Save Main Options", 'nostalgia'))
		{
			$theme_options_main = array(
				"main_box_text" => $_POST["main_box_text"],
				"footer_text_left" => $_POST["footer_text_left"],
				"footer_text_right" => $_POST["footer_text_right"],
				"google_api_code" => $_POST["google_api_code"],
				"color" => $_POST["color"],
				"menu_count" => $_POST["menu_count"],
				"display_home_widget_on_start" => (int)$_POST["display_home_widget_on_start"],
				"display_menu_on_start" => (int)$_POST["display_menu_on_start"],
				"responsive" => (int)$_POST["responsive"]
			);
			update_option("nostalgia_options", array_merge($theme_options, $theme_options_main));
			$selected_tab = 0;
		}
		else if($_POST["nostalgia_submit"]==__("Save Footer Icons Options", 'nostalgia'))
		{
			$theme_options_icons = array(
				"icons" => array(
					"type" => $_POST["icon_type"],
					"value" => $_POST["icon_value"]
				)
			);
			update_option("nostalgia_options", array_merge($theme_options, $theme_options_icons));
			$selected_tab = 1;
		}
		else if($_POST["nostalgia_submit"]==__("Save Backgrounds Options", 'nostalgia'))
		{
			$theme_options_backgrounds = array(
				"backgrounds" => array_values(array_filter($_POST["background_url"])),
				"background_title" => array_values(array_filter($_POST["background_title"])),
				"autoplay" => (int)$_POST["autoplay"],
				"overlay" => (int)$_POST["overlay"],
				"transition" => $_POST["transition"],
				"transition_speed" => (int)$_POST["transition_speed"],
				"slide_interval" => (int)$_POST["slide_interval"]
			);
			update_option("nostalgia_options", array_merge($theme_options, $theme_options_backgrounds));
			$selected_tab = 2;
		}
		else if($_POST["nostalgia_submit"]==__("Save Music Options", 'nostalgia'))
		{
			$theme_options_music = array(
				"tracks" => array_values(array_filter($_POST["track_url"])),
				"music_loop" => (int)$_POST["music_loop"],
				"music_autoplay" => (int)$_POST["music_autoplay"]
			);
			update_option("nostalgia_options", array_merge($theme_options, $theme_options_music));
			$selected_tab = 3;
		}
		else
		{
			$theme_options = array(
				"main_box_text" => $_POST["main_box_text"],
				"footer_text_left" => $_POST["footer_text_left"],
				"footer_text_right" => $_POST["footer_text_right"],
				"google_api_code" => $_POST["google_api_code"],
				"color" => $_POST["color"],
				"menu_count" => $_POST["menu_count"],
				"display_home_widget_on_start" => (int)$_POST["display_home_widget_on_start"],
				"display_menu_on_start" => (int)$_POST["display_menu_on_start"],
				"responsive" => (int)$_POST["responsive"],
				"icons" => array(
					"type" => $_POST["icon_type"],
					"value" => $_POST["icon_value"]
				),
				"backgrounds" => array_values(array_filter($_POST["background_url"])),
				"background_title" => array_values(array_filter($_POST["background_title"])),
				"autoplay" => (int)$_POST["autoplay"],
				"overlay" => (int)$_POST["overlay"],
				"tracks" => array_values(array_filter($_POST["track_url"])),
				"music_loop" => (int)$_POST["music_loop"],
				"music_autoplay" => (int)$_POST["music_autoplay"],
				"transition" => $_POST["transition"],
				"transition_speed" => (int)$_POST["transition_speed"],
				"slide_interval" => (int)$_POST["slide_interval"]
			);
			update_option("nostalgia_options", $theme_options);
			$selected_tab = 0;
		}
	}
	$theme_options = array(
		"main_box_text" => '',
		"footer_text_left" => '',
		"footer_text_right" => '',
		"google_api_code" => '',
		"color" => '',
		"menu_count" => '',
		"display_home_widget_on_start" => '',
		"display_menu_on_start" => '',
		"responsive" => '',
		"icons" => '',
		"backgrounds" => '',
		"background_title" => '',
		"autoplay" => '',
		"overlay" => '',
		"tracks" => '',
		"music_loop" => '',
		"music_autoplay" => '',
		"transition" => '',
		"transition_speed" => '',
		"slide_interval" => ''
	);
	$theme_options = ng_theme_stripslashes_deep(array_merge($theme_options, get_option("nostalgia_options")));
	$icons = array(
		"facebook",
		"flickr",
		"google",
		"linkedin",
		"rss",
		"skype",
		"soundcloud",
		"twitter",
		"wordpress",
		"xing"
	);
?>
	<div class="wrap">
		<div class="icon32" id="icon-options-general"><br></div>
		<h2><?php _e("Nostalgia Options", 'nostalgia');?></h2>
	</div>
	<?php 
	if(isset($_POST["action"]) && $_POST["action"]=="nostalgia_save")
	{
	?>
	<div class="updated"> 
		<p>
			<strong>
				<?php _e('Options saved', 'nostalgia'); ?>
			</strong>
		</p>
	</div>
	<?php 
	}
	?>
	<form action="<?php echo esc_url($_SERVER['REQUEST_URI']); ?>" method="post" id="nostalgia-options-tabs">
		<ul class="nav-tabs">
			<li class="nav-tab">
				<a href="#tab-main">
					<?php _e('Main', 'nostalgia'); ?>
				</a>
			</li>
			<li class="nav-tab">
				<a href="#tab-social-footer-icons">
					<?php _e('Social footer icons', 'nostalgia'); ?>
				</a>
			</li>
			<li class="nav-tab">
				<a href="#tab-backgrounds">
					<?php _e('Background', 'nostalgia'); ?>
				</a>
			</li>
			<li class="nav-tab">
				<a href="#tab-music">
					<?php _e('Music', 'nostalgia'); ?>
				</a>
			</li>
		</ul>
		<div id="tab-main">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Main', 'nostalgia'); ?>
						</th>
					</tr>
					<tr>
						<td>
							<label for="main_header"><?php _e('Main box text', 'nostalgia'); ?></label>
						</td>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($theme_options["main_box_text"]); ?>" id="main_box_text" name="main_box_text">
							<input type="button" class="button" name="nostalgia_upload_button" id="main_box_upload_button" value="<?php esc_attr_e('Insert logo', 'nostalgia'); ?>" />
						</td>
					</tr>
					<tr>
						<td>
							<label for="footer_text_left"><?php _e('Footer text left', 'nostalgia'); ?></label>
						</td>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($theme_options["footer_text_left"]); ?>" id="footer_text_left" name="footer_text_left">
							<span class="description"><?php _e('Can be text or any html', 'nostalgia'); ?>.</span>
						</td>
					</tr>
					<tr>
						<td>
							<label for="footer_text_right"><?php _e('Footer text right', 'nostalgia'); ?></label>
						</td>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($theme_options["footer_text_right"]); ?>" id="footer_text_right" name="footer_text_right">
							<span class="description"><?php _e('Can be text or any html', 'nostalgia'); ?>.</span>
						</td>
					</tr>
					<tr>
						<td>
							<label for="color"><?php _e('Theme color:', 'nostalgia'); ?></label>
						</td>
						<td>
							<input type="text" class="regular-text" id="color" name="color" value="<?php echo esc_attr($theme_options["color"]); ?>" />
						</td>
					</tr>
					<tr>
						<td>
							<label for="google_api_code"><?php _e('Google Maps API Key', 'nostalgia'); ?></label>
						</td>
						<td>
							<input type="text" class="regular-text" value="<?php echo esc_attr($theme_options["google_api_code"]); ?>" id="google_api_code" name="google_api_code">
							<span class="description"><?php printf(__('You can generate API Key <a href="%s" target="_blank" title="Generate API Key">here</a>', 'nostalgia'), "https://developers.google.com/maps/documentation/javascript/get-api-key"); ?></span>
						</td>
					</tr>
					<tr>
						<td>
							<label for="menu_count"><?php _e('Number of menu positions:', 'nostalgia'); ?></label>
						</td>
						<td>
							<input type="text" class="regular-text" id="menu_count" name="menu_count" value="<?php echo esc_attr($theme_options["menu_count"]); ?>" />
						</td>
					</tr>
					<tr>
						<td>
							<label><?php _e('Display home widget on start', 'nostalgia'); ?></label>
						</td>
						<td>
							<select id="display_home_widget_on_start" name="display_home_widget_on_start">
								<option value="1"<?php echo ((int)$theme_options["display_home_widget_on_start"]==1 ? " selected='selected'" : "") ?>><?php _e('yes', 'nostalgia'); ?></option>
								<option value="0"<?php echo (!(int)$theme_options["display_home_widget_on_start"] ? " selected='selected'" : "") ?>><?php _e('no', 'nostalgia'); ?></option>
							</select>
						</td>
					</tr>
					<tr>
						<td>
							<label><?php _e('Display menu on start', 'nostalgia'); ?></label>
						</td>
						<td>
							<select id="display_menu_on_start" name="display_menu_on_start">
								<option value="1"<?php echo ((int)$theme_options["display_menu_on_start"]==1 ? " selected='selected'" : "") ?>><?php _e('yes', 'nostalgia'); ?></option>
								<option value="0"<?php echo (!(int)$theme_options["display_menu_on_start"] ? " selected='selected'" : "") ?>><?php _e('no', 'nostalgia'); ?></option>
							</select>
						</td>
					</tr>
					<tr>
						<td>
							<label><?php _e('Responsive', 'nostalgia'); ?></label>
						</td>
						<td>
							<select id="responsive" name="responsive">
								<option value="1"<?php echo ((int)$theme_options["responsive"]==1 ? " selected='selected'" : "") ?>><?php _e('yes', 'nostalgia'); ?></option>
								<option value="0"<?php echo (!(int)$theme_options["responsive"] ? " selected='selected'" : "") ?>><?php _e('no', 'nostalgia'); ?></option>
							</select>
						</td>
					</tr>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Main Options', 'nostalgia'); ?>" class="button-primary" name="nostalgia_submit">
			</p>
		</div>
		<div id="tab-social-footer-icons">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Social footer icons', 'nostalgia'); ?>
						</th>
					</tr>
					<?php
					for($i=0; $i<8; $i++)
					{
					?>
					<tr>
						<td>
							<label><?php _e('Icon type', 'nostalgia'); ?>: </label>
							<select name="icon_type[]">
								<option value="">-</option>
								<?php for($j=0; $j<count($icons); $j++)
								{
								?>
								<option value="<?php echo esc_attr($icons[$j]); ?>"<?php echo (isset($theme_options["icons"]["type"][$i]) && $icons[$j]==$theme_options["icons"]["type"][$i] ? " selected='selected'" : "") ?>><?php echo $icons[$j]; ?></option>
								<?php
								}
								?>
							</select>
						</td>
						<td>
							<input type="text" class="regular-text" value="<?php echo (isset($theme_options["icons"]["value"][$i]) ? esc_attr($theme_options["icons"]["value"][$i]) : ""); ?>" name="icon_value[]">
						</td>
					</tr>
					<?php
					}
					?>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Footer Icons Options', 'nostalgia'); ?>" class="button-primary" name="nostalgia_submit">
			</p>
		</div>
		<div id="tab-backgrounds">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Backgrounds', 'nostalgia'); ?>
						</th>
					</tr>
					<?php
					$backgrounds_count = count($theme_options["backgrounds"]);
					if($backgrounds_count==0)
						$backgrounds_count = 6;
					for($i=0; $i<$backgrounds_count; $i++)
					{
					?>
					<tr class="background_url_row">
						<td>
							<label><?php _e('Background image url', 'nostalgia'); echo " " . ($i+1); ?></label>
						</td>
						<td>
							<input class="regular-text" type="text" id="nostalgia_background_url_<?php echo absint($i+1); ?>" name="background_url[]" value="<?php echo (isset($theme_options["backgrounds"][$i]) ? esc_attr($theme_options["backgrounds"][$i]) : ''); ?>" />
							<input type="button" class="button" name="nostalgia_upload_button" id="nostalgia_background_url_button_<?php echo absint($i+1); ?>" value="<?php esc_attr_e('Browse', 'nostalgia'); ?>" />
						</td>
					</tr>
					<tr class="background_title_row">
						<td>
							<label><?php _e('Background title', 'nostalgia'); echo " " . ($i+1); ?></label>
						</td>
						<td>
							<input class="regular-text" type="text" id="nostalgia_background_title_<?php echo absint($i+1); ?>" name="background_title[]" value="<?php echo (isset($theme_options["background_title"][$i]) ? esc_attr($theme_options["background_title"][$i]) : ''); ?>" />
						</td>
					</tr>
					<?php
					}
					?>
					<tr>
						<td></td>
						<td>
							<input type="button" class="button" name="nostalgia_add_new_button" id="nostalgia_add_new_button" value="<?php esc_attr_e('Add background', 'nostalgia'); ?>" />
						</td>
					</tr>
					<tr>
						<td>
							<label><?php _e('Autoplay', 'nostalgia'); ?></label>
						</td>
						<td>
							<select id="autoplay" name="autoplay">
								<option value="0"<?php echo (!(int)$theme_options["autoplay"] ? " selected='selected'" : "") ?>><?php _e('no', 'nostalgia'); ?></option>
								<option value="1"<?php echo ((int)$theme_options["autoplay"]==1 ? " selected='selected'" : "") ?>><?php _e('yes', 'nostalgia'); ?></option>
							</select>
						</td>
					</tr>
					<tr>
						<td>
							<label><?php _e('Background overlay', 'nostalgia'); ?></label>
						</td>
						<td>
							<select id="overlay" name="overlay">
								<option value="0"<?php echo (!(int)$theme_options["overlay"] ? " selected='selected'" : "") ?>><?php _e('no', 'nostalgia'); ?></option>
								<option value="1"<?php echo ((int)$theme_options["overlay"]==1 ? " selected='selected'" : "") ?>><?php _e('yes', 'nostalgia'); ?></option>
							</select>
						</td>
					</tr>
					<tr>
						<td>
							<label for="transition"><?php _e('Transition:', 'nostalgia'); ?></label>
						</td>
						<td>
							<select id="transition" name="transition">
								<option value="none"<?php echo ($theme_options["transition"]=="none" ? " selected='selected'" : "") ?>><?php _e('none', 'nostalgia'); ?></option>
								<option value="fade"<?php echo ($theme_options["transition"]=="fade" ? " selected='selected'" : "") ?>><?php _e('fade', 'nostalgia'); ?></option>
								<option value="slideTop"<?php echo ($theme_options["transition"]=="slideTop" ? " selected='selected'" : "") ?>><?php _e('slideTop', 'nostalgia'); ?></option>
								<option value="slideRight"<?php echo ($theme_options["transition"]=="slideRight" ? " selected='selected'" : "") ?>><?php _e('slideRight', 'nostalgia'); ?></option>
								<option value="slideBottom"<?php echo ($theme_options["transition"]=="slideBottom" ? " selected='selected'" : "") ?>><?php _e('slideBottom', 'nostalgia'); ?></option>
								<option value="slideLeft"<?php echo ($theme_options["transition"]=="slideLeft" ? " selected='selected'" : "") ?>><?php _e('slideLeft', 'nostalgia'); ?></option>
								<option value="carouselRight"<?php echo ($theme_options["transition"]=="carouselRight" ? " selected='selected'" : "") ?>><?php _e('carouselRight', 'nostalgia'); ?></option>
								<option value="carouselLeft"<?php echo ($theme_options["transition"]=="carouselLeft" ? " selected='selected'" : "") ?>><?php _e('carouselLeft', 'nostalgia'); ?></option>
							</select>
						</td>
					</tr>
					<tr>
						<td>
							<label for="transition_speed"><?php _e('Transition speed:', 'nostalgia'); ?></label>
						</td>
						<td>
							<input type="text" class="regular-text" id="transition_speed" name="transition_speed" value="<?php echo (int)esc_attr($theme_options["transition_speed"]); ?>" />
						</td>
					</tr>
					<tr>
						<td>
							<label for="slide_interval"><?php _e('Slide interval:', 'nostalgia'); ?></label>
						</td>
						<td>
							<input type="text" class="regular-text" id="slide_interval" name="slide_interval" value="<?php echo (int)esc_attr($theme_options["slide_interval"]); ?>" />
						</td>
					</tr>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Backgrounds Options', 'nostalgia'); ?>" class="button-primary" name="nostalgia_submit">
			</p>
		</div>
		<div id="tab-music">
			<table class="form-table">
				<tbody>
					<tr valign="top">
						<th colspan="2" scope="row" style="font-weight: bold;">
							<?php _e('Music', 'nostalgia'); ?>
						</th>
					</tr>
					<?php
					$tracks_count = count($theme_options["tracks"]);
					if($tracks_count==0)
						$tracks_count = 1;
					for($i=0; $i<$tracks_count; $i++)
					{
					?>
					<tr class="track_url_row">
						<td>
							<label><?php _e('Track url', 'nostalgia'); echo " " . ($i+1); ?></label>
						</td>
						<td>
							<input class="regular-text" type="text" id="nostalgia_track_url_<?php echo absint($i+1); ?>" name="track_url[]" value="<?php echo (isset($theme_options["tracks"][$i]) ? esc_attr($theme_options["tracks"][$i]) : ''); ?>" />
							<input type="button" class="button" name="nostalgia_upload_button" id="nostalgia_track_url_button_<?php echo absint($i+1); ?>" value="<?php esc_attr_e('Browse', 'nostalgia'); ?>" />
						</td>
					</tr>
					<?php
					}
					?>
					<tr>
						<td></td>
						<td>
							<input type="button" class="button" name="nostalgia_add_new_button" id="nostalgia_add_new_button_track" value="<?php esc_attr_e('Add track', 'nostalgia'); ?>" />
						</td>
					</tr>
					<tr>
						<td>
							<label><?php _e('Loop', 'nostalgia'); ?></label>
						</td>
						<td>
							<select id="music_loop" name="music_loop">
								<option value="0"<?php echo (!(int)$theme_options["music_loop"] ? " selected='selected'" : "") ?>><?php _e('no', 'nostalgia'); ?></option>
								<option value="1"<?php echo ((int)$theme_options["music_loop"]==1 ? " selected='selected'" : "") ?>><?php _e('yes', 'nostalgia'); ?></option>
							</select>
						</td>
					</tr>
					<tr>
						<td>
							<label><?php _e('Autoplay', 'nostalgia'); ?></label>
						</td>
						<td>
							<select id="music_autoplay" name="music_autoplay">
								<option value="0"<?php echo (!(int)$theme_options["music_autoplay"] ? " selected='selected'" : "") ?>><?php _e('no', 'nostalgia'); ?></option>
								<option value="1"<?php echo ((int)$theme_options["music_autoplay"]==1 ? " selected='selected'" : "") ?>><?php _e('yes', 'nostalgia'); ?></option>
							</select>
						</td>
					</tr>
				</tbody>
			</table>
			<p>
				<input type="submit" value="<?php esc_attr_e('Save Music Options', 'nostalgia'); ?>" class="button-primary" name="nostalgia_submit">
			</p>
		</div>
		<p>
			<input type="hidden" name="action" value="nostalgia_save" />
			<input type="submit" value="<?php esc_attr_e('Save All Options', 'nostalgia'); ?>" class="button-primary" name="nostalgia_submit">
		</p>
		<input type="hidden" id="nostalgia-selected-tab" value="<?php echo (isset($selected_tab) ? esc_attr($selected_tab) : 0);?>" />
	</form>
<?php
}
?>